Bug 1270281 - [GSS](6.4.z) Transaction probe needlessly locks CLI
[GSS](6.4.z) Transaction probe needlessly locks CLI
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Transaction Manager (Show other bugs)
6.4.4
Unspecified Unspecified
unspecified Severity unspecified
: CR1
: EAP 6.4.6
Assigned To: Aaron Ogburn
Ondrej Chaloupka
:
Depends On:
Blocks: 1235746
  Show dependency treegraph
 
Reported: 2015-10-09 09:39 EDT by Aaron Ogburn
Modified: 2017-01-17 06:48 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
BZ1270281.btm (152 bytes, text/plain)
2015-10-09 10:06 EDT, Aaron Ogburn
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker WFLY-5498 Major Resolved Transaction probe needlessly locks CLI 2017-03-22 09:22 EDT
Red Hat Knowledge Base (Solution) 1986243 None None None 2016-01-21 18:23 EST

  None (edit)
Description Aaron Ogburn 2015-10-09 09:39:22 EDT
A transaction probe grabs the controller lock before proceeding. Transaction probes may see long run times depending upon db responsiveness. So other CLI operations can end up needlessly blocked for quite some time waiting for the db to respond for a transaction probe to proceed.
Comment 1 Aaron Ogburn 2015-10-09 10:06 EDT
Created attachment 1081348 [details]
BZ1270281.btm
Comment 2 Aaron Ogburn 2015-10-09 10:08:24 EDT
Attached a byteman script to easily expose the issue.  To reproduce:

1. Start jboss with byteman script installed:

    -javaagent:/path/to/lib/byteman.jar=script:/path/to/BZ1270281.btm,sys:/home/aaron/path/to/lib/byteman.jar

2. Do a transaction probe CLI command:

    /subsystem=transactions/log-store=log-store/:probe

3. Attempt any other CLI write attribute command and note it hangs as well, blocked by the tx probe
Comment 3 Aaron Ogburn 2015-10-09 10:11:52 EDT
https://github.com/jbossas/jboss-eap/pull/2582
Comment 5 Jiří Bílek 2016-01-20 09:07:40 EST
Verified with EAP 6.4.6.CP.CR2.
Comment 6 Petr Penicka 2017-01-17 06:48:11 EST
Retroactively bulk-closing issues from released EAP 6.4 cumulative patches.
Comment 7 Petr Penicka 2017-01-17 06:48:26 EST
Retroactively bulk-closing issues from released EAP 6.4 cumulative patches.

Note You need to log in before you can comment on or make changes to this bug.